Reservations

One reservation with payment state, provider proofs and receipt data

GET
/api/reservations/{id}

One reservation with payment state, provider proofs and receipt data.

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/reservations/string"
{  "reservation": {    "id": "string",    "providerMode": "PAYPAL_SANDBOX",    "paymentState": "QUOTE_ACCEPTED",    "serviceState": "AWAITING_PAYMENT",    "slotsCommitted": true,    "portLabel": "string",    "merchantName": "string",    "timeZone": "string",    "plugInMs": 0,    "departMs": 0,    "targetBatteryWh": 0,    "powerW": [      0    ],    "termsHash": "string",    "economics": {      "listPriceCents": 0,      "priceCents": 0,      "discountCents": 0,      "energyCostCents": 0,      "baselineEnergyCostCents": 0,      "operatorImprovementCents": 0    },    "proofs": [      {        "type": "BUYER_APPROVED",        "ref": "string",        "status": "string",        "amountCents": 0      }    ]  }}